# FeatureDetection

#### FeatureDetection()
Core/FeatureDetection.js 207

  A set of functions to detect whether the current browser supports various features.

### Methods

#### staticCesium.FeatureDetection.supportsFullscreen() → Boolean
Core/FeatureDetection.js 235

  Detects whether the current browser supports the full screen standard.

  ##### Returns:

  true if the browser supports the full screen standard, false if not.

  ##### See:

  - Fullscreen
  - W3C Fullscreen Living Specification

#### staticCesium.FeatureDetection.supportsTypedArrays() → Boolean
Core/FeatureDetection.js 246

  Detects whether the current browser supports typed arrays.

  ##### Returns:

  true if the browser supports typed arrays, false if not.

  ##### See:

  - Typed Array Specification

#### staticCesium.FeatureDetection.supportsWebWorkers() → Boolean
Core/FeatureDetection.js 257

  Detects whether the current browser supports Web Workers.

  ##### Returns:

  true if the browsers supports Web Workers, false if not.

  ##### See:

  - http://www.w3.org/TR/workers/